Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_node_get_literal_value_language

## Name

librdf_node_get_literal_value_language -- Get the XML language of the node

## Synopsis

``char* `librdf_node_get_literal_value_language`` (librdf_node* `node`);`

## Arguments

`node`

  the node object

## Description

Returns a pointer to the literal language value held by the node, it must be copied if it is wanted to be used by the caller.

## Return value

the XML language string or NULL if node is not a literal or there is no XML language defined.

<<< Previous | Home | Next >>>
librdf_node_get_literal_value_as_latin1 | Up | librdf_node_get_literal_value_is_wf_xml